|
|||||||||
| Home >> All >> com >> opensymphony >> module >> sitemesh >> [ mapper overview ] | PREV NEXT | ||||||||
A
- AbstractDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper.
- Abstract DecoratorMapper implementation for easy creation of new DecoratorMappers.
- AbstractDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
- AgentDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.AgentDecoratorMapper.
- The AgentDecoratorMapper can determine the user-agent (i.e.
- AgentDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.AgentDecoratorMapper
B
- botAgents - Static variable in class com.opensymphony.module.sitemesh.mapper.RobotDecoratorMapper
- All known robot user-agent headers (list can be found here).
- botHosts - Static variable in class com.opensymphony.module.sitemesh.mapper.RobotDecoratorMapper
- All known robot hosts (list can be found here).
C
- ConfigDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.ConfigDecoratorMapper.
- Default implementation of DecoratorMapper.
- ConfigDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.ConfigDecoratorMapper
- ConfigLoader - class com.opensymphony.module.sitemesh.mapper.ConfigLoader.
- The ConfigLoader reads a configuration XML file that contains Decorator definitions (name, url, init-params) and path-mappings (pattern, name).
- ConfigLoader(File) - Constructor for class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- Create new ConfigLoader using supplied File.
- ConfigLoader(String, Config) - Constructor for class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- Create new ConfigLoader using supplied filename and config.
- ConfigLoaderTest - class com.opensymphony.module.sitemesh.mapper.ConfigLoaderTest.
- ConfigLoaderTest() - Constructor for class com.opensymphony.module.sitemesh.mapper.ConfigLoaderTest
- CookieDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.CookieDecoratorMapper.
- The CookieDecoratorMapper will map a suitable decorator based on a cookie value.
- CookieDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.CookieDecoratorMapper
- com.opensymphony.module.sitemesh.mapper - package com.opensymphony.module.sitemesh.mapper
- config - Variable in class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
- config - Variable in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- configFile - Variable in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- configFileName - Variable in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- configLastModified - Variable in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- configLoader - Variable in class com.opensymphony.module.sitemesh.mapper.ConfigDecoratorMapper
- configLoader - Variable in class com.opensymphony.module.sitemesh.mapper.ConfigLoaderTest
- cookieName - Variable in class com.opensymphony.module.sitemesh.mapper.CookieDecoratorMapper
D
- DefaultDecorator - class com.opensymphony.module.sitemesh.mapper.DefaultDecorator.
- Default implementation of Decorator.
- DefaultDecorator(String, String, Map) - Constructor for class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
- Constructor to set name, page and parameters.
- DefaultDecorator(String, String, String, Map) - Constructor for class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
- Constructor to set all properties.
- DefaultDecorator(String, String, String, String, Map) - Constructor for class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
- Constructor to set all properties.
- decorator - Variable in class com.opensymphony.module.sitemesh.mapper.FrameSetDecoratorMapper
- decorator - Variable in class com.opensymphony.module.sitemesh.mapper.PrintableDecoratorMapper
- decoratorName - Variable in class com.opensymphony.module.sitemesh.mapper.RobotDecoratorMapper
- decoratorParameter - Variable in class com.opensymphony.module.sitemesh.mapper.ParameterDecoratorMapper
- decorators - Variable in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
E
- EnvEntryDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.EnvEntryDecoratorMapper.
- The EnvEntryDecoratorMapper allows the reference to a web-app environment entry for the decorator name, and falls back to ConfigDecoratorMapper's behavior if no matching environment entry is found.
- EnvEntryDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.EnvEntryDecoratorMapper
F
- FileDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.FileDecoratorMapper.
- The FileDecoratorMapper will treat the name of the decorator as a file-name to use (in the context of the web-app).
- FileDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.FileDecoratorMapper
- FrameSetDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.FrameSetDecoratorMapper.
- The FrameSetDecoratorMapper will use the specified decorator when the Page
is an instance of com.opensymphony.module.sitemesh.HTMLPage and
isFrameSet()returns true. - FrameSetDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.FrameSetDecoratorMapper
- findComplexKey(String, Map) - Static method in class com.opensymphony.module.sitemesh.mapper.PathMapper
- findDefaultKey(Map) - Static method in class com.opensymphony.module.sitemesh.mapper.PathMapper
- Look for root pattern ( / ).
- findExactKey(String, Map) - Static method in class com.opensymphony.module.sitemesh.mapper.PathMapper
- Check if path matches exact pattern ( /blah/blah.jsp ).
- findKey(String, Map) - Static method in class com.opensymphony.module.sitemesh.mapper.PathMapper
- Find exact key in mappings.
G
- get(String) - Method in class com.opensymphony.module.sitemesh.mapper.PathMapper
- Retrieve appropriate key by matching patterns with supplied path.
- getAttribute(Element, String) - Static method in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- Override default behavior of element.getAttribute (returns the empty string) to return null.
- getByProperty(HttpServletRequest, Page, String) - Method in class com.opensymphony.module.sitemesh.mapper.PageDecoratorMapper
- getContainedText(Node, String) - Static method in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- With a given parent XML Element, find the text contents of the child element with supplied name.
- getDecorator(HttpServletRequest, Page) - Method in class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
- Delegate to parent.
- getDecorator(HttpServletRequest, Page) - Method in class com.opensymphony.module.sitemesh.mapper.AgentDecoratorMapper
- getDecorator(HttpServletRequest, Page) - Method in class com.opensymphony.module.sitemesh.mapper.ConfigDecoratorMapper
- Retrieve com.opensymphony.module.sitemesh.Decorator based on 'pattern' tag.
- getDecorator(HttpServletRequest, Page) - Method in class com.opensymphony.module.sitemesh.mapper.CookieDecoratorMapper
- getDecorator(HttpServletRequest, Page) - Method in class com.opensymphony.module.sitemesh.mapper.FrameSetDecoratorMapper
- getDecorator(HttpServletRequest, Page) - Method in class com.opensymphony.module.sitemesh.mapper.InlineDecoratorMapper
- getDecorator(HttpServletRequest, Page) - Method in class com.opensymphony.module.sitemesh.mapper.LanguageDecoratorMapper
- getDecorator(HttpServletRequest, Page) - Method in class com.opensymphony.module.sitemesh.mapper.NullDecoratorMapper
- Returns null.
- getDecorator(HttpServletRequest, Page) - Method in class com.opensymphony.module.sitemesh.mapper.OSDecoratorMapper
- Attempts to find the correct decorator for Page page based on the UA-OS HTTP header in the request.
- getDecorator(HttpServletRequest, Page) - Method in class com.opensymphony.module.sitemesh.mapper.PageDecoratorMapper
- getDecorator(HttpServletRequest, Page) - Method in class com.opensymphony.module.sitemesh.mapper.ParameterDecoratorMapper
- getDecorator(HttpServletRequest, Page) - Method in class com.opensymphony.module.sitemesh.mapper.PrintableDecoratorMapper
- getDecorator(HttpServletRequest, Page) - Method in class com.opensymphony.module.sitemesh.mapper.RobotDecoratorMapper
- getDecoratorByName(String) - Method in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- Retrieve Decorator based on name specified in configuration file.
- getExt(String) - Method in class com.opensymphony.module.sitemesh.mapper.AgentDecoratorMapper
- Get extention for user-agent.
- getExt(String) - Method in class com.opensymphony.module.sitemesh.mapper.LanguageDecoratorMapper
- Get extention for the language.
- getInitParameter(String) - Method in class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
- Returns a String containing the value of the named initialization parameter, or null if the parameter does not exist.
- getInitParameterNames() - Method in class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
- Returns the names of the Decorator's initialization parameters as an Iterator of String objects, or an empty Iterator if the Decorator has no initialization parameters.
- getMappedName(String) - Method in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- Get name of Decorator mapped to given path.
- getName() - Method in class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
- Name of Decorator.
- getNamedDecorator(HttpServletRequest, String) - Method in class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
- Delegate to parent.
- getNamedDecorator(HttpServletRequest, String) - Method in class com.opensymphony.module.sitemesh.mapper.ConfigDecoratorMapper
- Retrieve Decorator named in 'name' attribute.
- getNamedDecorator(HttpServletRequest, String) - Method in class com.opensymphony.module.sitemesh.mapper.EnvEntryDecoratorMapper
- Retrieves the com.opensymphony.module.sitemesh.Decorator specified by the decorator name.
- getNamedDecorator(HttpServletRequest, String) - Method in class com.opensymphony.module.sitemesh.mapper.FileDecoratorMapper
- getNamedDecorator(HttpServletRequest, String) - Method in class com.opensymphony.module.sitemesh.mapper.NullDecoratorMapper
- Returns null.
- getPage() - Method in class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
- URI of the Servlet/JSP to dispatch the request to (relative to the web-app context).
- getRole() - Method in class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
- Role the user has to be in to get this decorator applied.
- getStringResource(String) - Static method in class com.opensymphony.module.sitemesh.mapper.EnvEntryDecoratorMapper
- This pulls a value out of the web-app environment.
- getURIPath() - Method in class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
- URI path of the Decorator.
I
- InlineDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.InlineDecoratorMapper.
- The InlineDecoratorMapper is used to determine the correct Decorator when using inline decorators.
- InlineDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.InlineDecoratorMapper
- init(Config, Properties, DecoratorMapper) - Method in class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
- Set parent.
- init(Config, Properties, DecoratorMapper) - Method in class com.opensymphony.module.sitemesh.mapper.AgentDecoratorMapper
- init(Config, Properties, DecoratorMapper) - Method in class com.opensymphony.module.sitemesh.mapper.ConfigDecoratorMapper
- Create new ConfigLoader using '/WEB-INF/decorators.xml' file.
- init(Config, Properties, DecoratorMapper) - Method in class com.opensymphony.module.sitemesh.mapper.CookieDecoratorMapper
- init(Config, Properties, DecoratorMapper) - Method in class com.opensymphony.module.sitemesh.mapper.FrameSetDecoratorMapper
- init(Config, Properties, DecoratorMapper) - Method in class com.opensymphony.module.sitemesh.mapper.LanguageDecoratorMapper
- init(Config, Properties, DecoratorMapper) - Method in class com.opensymphony.module.sitemesh.mapper.NullDecoratorMapper
- Does nothing.
- init(Config, Properties, DecoratorMapper) - Method in class com.opensymphony.module.sitemesh.mapper.OSDecoratorMapper
- Init initializes the OSDecoratorMapper object by setting the parent DecoratorMapper, and loading the initialization properties.
- init(Config, Properties, DecoratorMapper) - Method in class com.opensymphony.module.sitemesh.mapper.PageDecoratorMapper
- init(Config, Properties, DecoratorMapper) - Method in class com.opensymphony.module.sitemesh.mapper.ParameterDecoratorMapper
- init(Config, Properties, DecoratorMapper) - Method in class com.opensymphony.module.sitemesh.mapper.PrintableDecoratorMapper
- init(Config, Properties, DecoratorMapper) - Method in class com.opensymphony.module.sitemesh.mapper.RobotDecoratorMapper
- initMap(Properties) - Method in class com.opensymphony.module.sitemesh.mapper.AgentDecoratorMapper
- Initialize user-agent mappings.
- initMap(Properties) - Method in class com.opensymphony.module.sitemesh.mapper.LanguageDecoratorMapper
- Initialize language mappings.
- isBot(HttpServletRequest) - Static method in class com.opensymphony.module.sitemesh.mapper.RobotDecoratorMapper
- Check if the current request came from a robot (also known as spider, crawler, ferret)
L
- LanguageDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.LanguageDecoratorMapper.
- The LanguageDecoratorMapper can determine the preferred language set in the browser requesting a page, and map to a suitable Decorator (using the "Accept-Language" HTTP header).
- LanguageDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.LanguageDecoratorMapper
- loadConfig() - Method in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- Load configuration from file.
M
- map - Variable in class com.opensymphony.module.sitemesh.mapper.AgentDecoratorMapper
- map - Variable in class com.opensymphony.module.sitemesh.mapper.LanguageDecoratorMapper
- mappings - Variable in class com.opensymphony.module.sitemesh.mapper.PathMapper
- match(String, String, boolean) - Static method in class com.opensymphony.module.sitemesh.mapper.PathMapper
- modifyPath(String, String) - Static method in class com.opensymphony.module.sitemesh.mapper.AgentDecoratorMapper
- Change /abc/def.jsp into /abc/def-XYZ.jsp
- modifyPath(String, String) - Static method in class com.opensymphony.module.sitemesh.mapper.LanguageDecoratorMapper
- Change /abc/def.jsp into /abc/def-XYZ.jsp
N
- NullDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.NullDecoratorMapper.
- The NullDecoratorMapper represents the top-level DecoratorMapper that is finally delegated to if no other DecoratorMapper has intervened.
- NullDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.NullDecoratorMapper
- name - Variable in class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
O
- OSDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.OSDecoratorMapper.
- The OSDecoratorMapper will map a suitable decorator based on the operating system of the remote client.
- OSDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.OSDecoratorMapper
P
- PageDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.PageDecoratorMapper.
- The PageDecoratorMapper allows the actual Page to determine the Decorator to be used.
- PageDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.PageDecoratorMapper
- ParameterDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.ParameterDecoratorMapper.
- The ParameterDecoratorMapper will map a suitable decorator based on request parameters.
- ParameterDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.ParameterDecoratorMapper
- PathMapper - class com.opensymphony.module.sitemesh.mapper.PathMapper.
- The PathMapper is used to map file patterns to keys, and find an approriate key for a given file path.
- PathMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.PathMapper
- PathMapperTest - class com.opensymphony.module.sitemesh.mapper.PathMapperTest.
- PathMapperTest() - Constructor for class com.opensymphony.module.sitemesh.mapper.PathMapperTest
- PrintableDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.PrintableDecoratorMapper.
- The PrintableDecoratorMapper is a sample DecoratorMapper that will check to see whether 'printable=true' is supplied as a request parameter and if so, use the specified decorator instead.
- PrintableDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.PrintableDecoratorMapper
- page - Variable in class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
- pageProps - Variable in class com.opensymphony.module.sitemesh.mapper.PageDecoratorMapper
- paramName - Variable in class com.opensymphony.module.sitemesh.mapper.ParameterDecoratorMapper
- paramName - Variable in class com.opensymphony.module.sitemesh.mapper.PrintableDecoratorMapper
- paramValue - Variable in class com.opensymphony.module.sitemesh.mapper.ParameterDecoratorMapper
- paramValue - Variable in class com.opensymphony.module.sitemesh.mapper.PrintableDecoratorMapper
- parameters - Variable in class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
- parent - Variable in class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
- Parent DecoratorMapper.
- parseConfig(Document) - Method in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- Parse configuration from XML document.
- pathMapper - Variable in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- pathMapper - Variable in class com.opensymphony.module.sitemesh.mapper.PathMapperTest
- pathNotAvailable - Static variable in class com.opensymphony.module.sitemesh.mapper.FileDecoratorMapper
- populatePathMapper(NodeList, String, String) - Method in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- Extracts each URL pattern and adds it to the pathMapper map.
- properties - Variable in class com.opensymphony.module.sitemesh.mapper.OSDecoratorMapper
- Properties holds the parameters that the object was initialized with.
- put(String, String) - Method in class com.opensymphony.module.sitemesh.mapper.PathMapper
- Add a key and appropriate matching pattern.
R
- RobotDecoratorMapper - class com.opensymphony.module.sitemesh.mapper.RobotDecoratorMapper.
- The RobotDecoratorMapper will use the specified decorator when the requester is identified as a robot (also known as spider, crawler, ferret) of a search engine.
- RobotDecoratorMapper() - Constructor for class com.opensymphony.module.sitemesh.mapper.RobotDecoratorMapper
- refresh() - Method in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- Check if configuration file has been updated, and if so, reload.
- role - Variable in class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
S
- setUp() - Method in class com.opensymphony.module.sitemesh.mapper.ConfigLoaderTest
- setUp() - Method in class com.opensymphony.module.sitemesh.mapper.PathMapperTest
- storeDecorator(Decorator) - Method in class com.opensymphony.module.sitemesh.mapper.ConfigLoader
- Store Decorator in Map
T
- tearDown() - Method in class com.opensymphony.module.sitemesh.mapper.ConfigLoaderTest
- tempConfigFile - Variable in class com.opensymphony.module.sitemesh.mapper.ConfigLoaderTest
- testDecoratorPresence() - Method in class com.opensymphony.module.sitemesh.mapper.ConfigLoaderTest
- testDecorators() - Method in class com.opensymphony.module.sitemesh.mapper.ConfigLoaderTest
- testFindComplexKey() - Method in class com.opensymphony.module.sitemesh.mapper.PathMapperTest
- testFindDefaultKey() - Method in class com.opensymphony.module.sitemesh.mapper.PathMapperTest
- testFindExactKey() - Method in class com.opensymphony.module.sitemesh.mapper.PathMapperTest
- testHardening() - Method in class com.opensymphony.module.sitemesh.mapper.PathMapperTest
- testMappedNames() - Method in class com.opensymphony.module.sitemesh.mapper.ConfigLoaderTest
U
- uriPath - Variable in class com.opensymphony.module.sitemesh.mapper.DefaultDecorator
A B C D E F G I L M N O P R S T U
|
|||||||||
| Home >> All >> com >> opensymphony >> module >> sitemesh >> [ mapper overview ] | PREV NEXT | ||||||||